Skip to main content
PUT
/
api
/
v1
/
workspace
/
webhooks
/
{webhook_id}
Update webhook
curl --request PUT \
  --url https://cloud-api.phala.com/api/v1/workspace/webhooks/{webhook_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "name": "<string>",
  "enabled": true
}
'
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "secret": "<string>",
  "name": "<string>"
}

Path Parameters

webhook_id
string
required

Body

application/json
url
string | null
events
string[] | null
name
string | null
Maximum string length: 100
enabled
boolean | null

Response

Successful Response

id
string
required
url
string
required
events
string[]
required
enabled
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
secret
string | null
name
string | null